Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.server
Class ServletImplicitObjects

    java.lang.Object
      org.apache.cactus.internal.server.AbstractWebImplicitObjects
          org.apache.cactus.internal.server.ServletImplicitObjects

All Implemented Interfaces:
  ImplicitObjects, WebImplicitObjects

Direct Known Subclasses:
  JspImplicitObjects

public class ServletImplicitObjects
extends AbstractWebImplicitObjects

Holder class that contains the instances of the implicit objects that will be accessible in the test classes (ie subclasses of `ServletTestCase`).

Version:
  $Id: ServletImplicitObjects.java 238991 2004-05-22 11:34:50Z vmassol $

Field Summary
`protected javax.servlet.ServletConfig` | `config` The Servlet configuration object.

Fields inherited from class org.apache.cactus.internal.server.AbstractWebImplicitObjects
`context, request, response`

Constructor Summary
`ServletImplicitObjects()`

Method Summary
`javax.servlet.ServletConfig` | `getServletConfig()`
`void` | `setServletConfig(javax.servlet.ServletConfig theConfig)`

Methods inherited from class org.apache.cactus.internal.server.AbstractWebImplicitObjects
`getHttpServletRequest, getHttpServletResponse, getServletContext, setHttpServletRequest, setHttpServletResponse, setServletContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected javax.servlet.ServletConfig config

  The Servlet configuration object.

Constructor Detail

### ServletImplicitObjects

    public ServletImplicitObjects()

Method Detail

### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

  Returns:
    the `ServletConfig` implicit object

### setServletConfig

    public void setServletConfig(javax.servlet.ServletConfig theConfig)

  Parameters:
    `theConfig` - the `ServletConfig` implicit object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.